<?php
require_once "connect.php";
require_once 'inc/usuario.php';


// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_usuario=$usuario_list['id'];

$st_ativo 	= 1;
$ok         = true;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
  echo $id_usuario;
}

//Recebendo parametros do Form
if(isset($_POST['id'])){
  $id       = $_POST['id'];
}
if(isset($_POST['ds_tipo'])){
  $ds_tipo	= $_POST['ds_tipo'];
}

  
// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_financeiro_tipos_conta
								set ds_tipo = '$ds_tipo'
									";

  $sql .= " where id = '$id'";
  
  echo $sql . '<br><br>';
  
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_financeiro_tipos_conta
								set st_ativo = 0";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_financeiro_tipos_conta (ds_tipo, st_ativo)
											values 	('$ds_tipo' , $st_ativo)";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br/>' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
  header("Location:erpc_financeiro_tipos_conta_list.php");

?>
